#!/bin/sh

if [ -z $DISPLAY ]; then
	DIALOG=dialog	
	HEIGHT=10
else
	DIALOG=Xdialog	
	HEIGHT=13
fi

if [ "`whoami`" != "root" ]; then
	$DIALOG --title "Error!" --msgbox "Sorry! To run this script you must be root!!" 0 0
	exit 5
fi

$DIALOG --title "Please slect your language:" --clear \
        --radiolist "" $HEIGHT 40 3 \
       	"English" "" ON \
        "Chinese" "" off \
       	"Japanese" "" off 2>/tmp/test.tmp.$$

retval=$?

choice=`cat /tmp/test.tmp.$$`
rm -f /tmp/checklist.tmp.$$

case $retval in
0)
	case $choice in
	English)
		if [ -r /usr/share/asianux-artwork/artwork-language-en_US.tgz ]; then
			rm -rf /mycomputer/*
			tar zxf /usr/share/asianux-artwork/artwork-language-en_US.tgz -C /
		else
			$DIALOG --title "Error!" --msgbox "Sorry! I can not found the artwork for English in your system!\nPlease check your install!" 0 0
			exit 1
		fi
		cat > /etc/sysconfig/i18n <<EOF
LANG="en_US.UTF-8"
SUPPORTED="en_US.UTF-8:en_US:en"
SYSFONT="latarcyrheb-sun16"
EOF
		$DIALOG --title "Done!" --msgbox "Please relogin then the change of language will be active!" 0 0
		;;
	Chinese)
		if [ -r /usr/share/asianux-artwork/artwork-language-zh_CN.tgz ]; then
			rm -rf /mycomputer/*
			tar zxf /usr/share/asianux-artwork/artwork-language-zh_CN.tgz -C /
		else
			$DIALOG --title "Error!" --msgbox "Sorry! I can not found the artwork for Chinese in your system!\nPlease check your install!" 0 0
			exit 2
		fi
		cat > /etc/sysconfig/i18n <<EOF
LANG="zh_CN.GB18030"
LANGUAGE="zh_CN.GB18030:zh_CN.GB2312:zh_CN"
SUPPORTED="zh_CN.GB18030:zh_CN:zh:en_US.UTF-8:en_US:en"
SYSFONT="lat0-sun16"
SYSFONTACM="8859-15"
EOF
		$DIALOG --title "Done!" --msgbox "Please relogin then the change of language will be active!" 0 0
		;;
	Japanese)
		if [ -r /usr/share/asianux-artwork/artwork-language-euc_JP.tgz ]; then
			rm -rf /mycomputer/*
			tar zxf /usr/share/asianux-artwork/artwork-language-euc_JP.tgz -C /
		else
			$DIALOG --title "Error!" --msgbox "Sorry! I can not found the artwork for Japanese in your system!\nPlease check your install!" 0 0
			exit 3
		fi
		cat > /etc/sysconfig/i18n <<EOF
LANG="ja_JP.eucJP"
LANGUAGE="ja_JP.eucJP:ja_JP"
SUPPORTED="ja_JP.eucJP:ja_JP:ja:en_US.UTF-8:en_US:en"
SYSFONT="lat0-sun16"
SYSFONTACM="8859-15"
EOF
		$DIALOG --title "Done!" --msgbox "Please relogin then the change of language will be active!" 0 0
		;;
	*)
		$DIALOG --title "Error!" --msgbox "Please selece a language!" 0 0
		;;
	esac
	;;
  1)
	$DIALOG --title "Information!" --msgbox "Cancel pressed. Nothing will be change for your language!" 0 0
	;;
  255)
	$DIALOG --title "Information!" --msgbox "ESC pressed. Nothing will be change for your language!" 0 0
	;;
  *)
	;;
esac
